Quando usar
Use este endpoint para desativar um webhook existente. Você pode usar quando trocar URL de integração, encerrar uma automação ou interromper recebimento de eventos em um destino antigo.Autenticação
Bearer JWT no headerAuthorization.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --location 'https://gyra-core.gyramais.com.br/webhook/{id}' \
--header 'Authorization: Bearer {seu_token_jwt}'
fetch("https://gyra-core.gyramais.com.br/webhook/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {seu_token_jwt}",
},
})
.then(res => res.json())
.then(console.log)
import requests
url = "https://gyra-core.gyramais.com.br/webhook/{id}"
headers = {
"Authorization": "Bearer {seu_token_jwt}"
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"id": "6612a7f32f90990d00000000",
"createdAt": "2026-07-31T18:02:54.965Z",
"updatedAt": "2026-07-31T18:02:54.965Z",
"organizationId": "6612a7f3fa9e086b00000000",
"type": "REPORT_FINISHED",
"url": "https://seu-sistema.com/webhooks/gyra",
"apiKey": "teste-doc"
}
{
"code": 404,
"message": "An operation failed because it depends on one or more records that were required but not found. Record to delete does not exist."
}
{
"code": 401,
"message": "Token de acesso inválido."
}
Remove um webhook por ID
Authorization.
| Nome | Local | Tipo | Obrigatório | Descrição |
|---|---|---|---|---|
id | path | string | sim | Webhook Id |
curl --location 'https://gyra-core.gyramais.com.br/webhook/{id}' \
--header 'Authorization: Bearer {seu_token_jwt}'
fetch("https://gyra-core.gyramais.com.br/webhook/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {seu_token_jwt}",
},
})
.then(res => res.json())
.then(console.log)
import requests
url = "https://gyra-core.gyramais.com.br/webhook/{id}"
headers = {
"Authorization": "Bearer {seu_token_jwt}"
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"id": "6612a7f32f90990d00000000",
"createdAt": "2026-07-31T18:02:54.965Z",
"updatedAt": "2026-07-31T18:02:54.965Z",
"organizationId": "6612a7f3fa9e086b00000000",
"type": "REPORT_FINISHED",
"url": "https://seu-sistema.com/webhooks/gyra",
"apiKey": "teste-doc"
}
{
"code": 404,
"message": "An operation failed because it depends on one or more records that were required but not found. Record to delete does not exist."
}
{
"code": 401,
"message": "Token de acesso inválido."
}
